<b> <u> GUI Debugger </b> </u><p>This is the accompanying GUI for the GUI Debug Library. <br>For more information look at the User's Guide.

<b><u>GUI Debugger User’s Guide</u>
 
<p>Contents:
<br>Overview		
Setting up GUI Composer	
Running the GUI	
Running in GUI Composer	
Running in CCS </b>
 
<p><b>Overview:</b>
	<br>The GUI Debugger is designed to allow users to track variables and display them on the accompanying GUI. The GUI consists of a scalar graph that has an auto adjusting scale capable of graphing up to 4 different variables. There are also free form and Boolean sections that can display a uInt16 variable in free form and a Boolean in the Boolean section. These sections also have a limit of 4 variables per section. All the labels the user can change when the GUI is running and can be changed at any time.

<b>Setting up GUI Composer:</b><br>
	First, click debug on your C program if you haven’t already. This will create an executable *.out file that will be used to include in GUI Composer. Open the GUI Composer GUI Debug, click on project -> properties -> next.

Under target programming, switch the Device to the appropriate microcontroller, and change the Executable to the *.out file for your program by clicking upload and going to your C program’s .out file.
	(It should be under your CCS project’s debug folder) 
	Click Next.
 
Make sure that the Port is the correct COM port for your device (if you need to check the COM port go into the device manager to see which port the microcontroller is using). 
	Setup the baud rate to the one you used in your C program (by default it is set to 9600).
	Click OK and save the project.

<b>Running the GUI:</b><br>
	You can either run the GUI inside of GUI Composer or you can run it inside of CCS.<p>
<b>Running in GUI Composer:</b><br>
	To run the program in GUI Composer click on the play button. This will create a separate tab on your web browser and GUI Composer will automatically start to download the program to your device and run the program.

<b>Running in CCS:</b><br>
	To run the application in CCS click on File -> Export -> as CCS Desktop View 
	<br>Follow the instructions that pop-up
 	 

